[arch-commits] CVS update of unstable/modules/tiacx-suspend2 (3 files)

Tom Killian tom at archlinux.org
Thu Aug 23 03:44:36 EDT 2007


    Date: Thursday, August 23, 2007 @ 03:44:36
  Author: tom
    Path: /home/cvs-unstable/unstable/modules/tiacx-suspend2

   Added: kernel-2.6.22.patch (1.1)
Modified: PKGBUILD (1.4 -> 1.5) acx.install (1.2 -> 1.3)

upgpkg: tiacx-suspend2 20070101-2


---------------------+
 PKGBUILD            |   13 +++++++------
 acx.install         |    6 +++---
 kernel-2.6.22.patch |   31 +++++++++++++++++++++++++++++++
 3 files changed, 41 insertions(+), 9 deletions(-)


Index: unstable/modules/tiacx-suspend2/PKGBUILD
diff -u unstable/modules/tiacx-suspend2/PKGBUILD:1.4 unstable/modules/tiacx-suspend2/PKGBUILD:1.5
--- unstable/modules/tiacx-suspend2/PKGBUILD:1.4	Mon Aug 20 22:35:31 2007
+++ unstable/modules/tiacx-suspend2/PKGBUILD	Thu Aug 23 03:44:35 2007
@@ -1,21 +1,22 @@
 # Maintainer: James Rayner <iphitus at gmail.com>
-_kernver=2.6.21-suspend2;
+_kernver=2.6.22-suspend2;
 pkgname=tiacx-suspend2
 pkgver=20070101
-pkgrel=1
+pkgrel=2
 pkgdesc="OpenSource module for Texas Instruments ACX100/ACX111 wireless chips. For suspend2"
 arch=(i686 x86_64)
 url="http://acx100.sourceforge.net/"
 license=('MPL')
-depends=('wireless_tools' 'kernel26' 'tiacx-firmware')
+depends=('wireless_tools' 'kernel26suspend2' 'tiacx-firmware')
 install=acx.install
-source=(http://lisas.de/~andi/acx100/acx-$pkgver.tar.bz2)
+source=(http://lisas.de/~andi/acx100/acx-$pkgver.tar.bz2 kernel-2.6.22.patch)
 
 build() {
-    #patch -Np0 -i 2.6.18-utsrelease.patch || return 1
-    #patch -Np1 -i kernel-2.6.19.patch || return 1
     cd $startdir/src/acx-20070101
+    patch -Np1 -i ../kernel-2.6.22.patch || return 1
     make -C /lib/modules/$_kernver/build M=`pwd`
     install -D acx.ko $startdir/pkg/lib/modules/$_kernver/extra/acx.ko
     sed -i -e "s/KERNEL_VERSION='.*'/KERNEL_VERSION='${_kernver}'/" $startdir/*.install
 }
+md5sums=('ec6322b9c82781897a9433ef0cefda6f'
+         'fb53485b5d8c9b7bdefd870cd25bf51b')
Index: unstable/modules/tiacx-suspend2/acx.install
diff -u unstable/modules/tiacx-suspend2/acx.install:1.2 unstable/modules/tiacx-suspend2/acx.install:1.3
--- unstable/modules/tiacx-suspend2/acx.install:1.2	Wed Jun 13 22:10:52 2007
+++ unstable/modules/tiacx-suspend2/acx.install	Thu Aug 23 03:44:35 2007
@@ -1,20 +1,20 @@
 # arg 1:  the new package version
 post_install() {
-  KERNEL_VERSION='2.6.21-suspend2'
+  KERNEL_VERSION='2.6.22-suspend2'
   depmod -v $KERNEL_VERSION > /dev/null 2>&1 
 }
 
 # arg 1:  the new package version
 # arg 2:  the old package version
 post_upgrade() {
-  KERNEL_VERSION='2.6.21-suspend2'
+  KERNEL_VERSION='2.6.22-suspend2'
   depmod -v $KERNEL_VERSION > /dev/null 2>&1	 
   
 }
 
 # arg 1:  the old package version
 post_remove() {
-  KERNEL_VERSION='2.6.21-suspend2'
+  KERNEL_VERSION='2.6.22-suspend2'
   depmod -v $KERNEL_VERSION > /dev/null 2>&1	 
 }
 
Index: unstable/modules/tiacx-suspend2/kernel-2.6.22.patch
diff -u /dev/null unstable/modules/tiacx-suspend2/kernel-2.6.22.patch:1.1
--- /dev/null	Thu Aug 23 03:44:36 2007
+++ unstable/modules/tiacx-suspend2/kernel-2.6.22.patch	Thu Aug 23 03:44:36 2007
@@ -0,0 +1,31 @@
+diff -uNr acx-20070101/common.c acx-20070101-patched/common.c
+--- acx-20070101/common.c	2007-01-10 21:15:27.000000000 +0000
++++ acx-20070101-patched/common.c	2007-08-22 22:55:52.000000000 +0100
+@@ -2753,8 +2753,11 @@
+ 
+ 	skb->dev = adev->ndev;
+ 	skb->dev->last_rx = jiffies;
+-
++#if LINUX_VERSION_CODE >= KERNEL_VERSION(2,6,22)
++	skb_reset_mac_header(skb);
++#else
+ 	skb->mac.raw = skb->data;
++#endif
+ 	skb->ip_summed = CHECKSUM_NONE;
+ 	skb->pkt_type = PACKET_OTHERHOST;
+ 	skb->protocol = htons(ETH_P_80211_RAW);
+diff -uNr acx-20070101/pci.c acx-20070101-patched/pci.c
+--- acx-20070101/pci.c	2007-01-10 12:27:16.000000000 +0000
++++ acx-20070101-patched/pci.c	2007-08-22 22:55:52.000000000 +0100
+@@ -2104,7 +2104,11 @@
+ /* TODO: pci_set_power_state(pdev, PCI_D0); ? */
+ 
+ 	/* request shared IRQ handler */
++#if LINUX_VERSION_CODE >= KERNEL_VERSION(2,6,21)	
++	if (request_irq(ndev->irq, acxpci_i_interrupt, IRQF_SHARED, ndev->name, ndev)) {
++#else
+ 	if (request_irq(ndev->irq, acxpci_i_interrupt, SA_SHIRQ, ndev->name, ndev)) {
++#endif		
+ 		printk("%s: request_irq FAILED\n", ndev->name);
+ 		result = -EAGAIN;
+ 		goto done;




More information about the arch-commits mailing list